com.impinj.stp

## Class StpApi.Versions.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.Versions.Builder>
      - - com.impinj.stp.StpApi.Versions.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.VersionsOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.Versions

      public static final class StpApi.Versions.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.Versions.Builder>
      implements StpApi.VersionsOrBuilder

  Protobuf type `Impinj.STP.Versions` A list of local API library and device versions.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.Versions.Builder` | `addAllVersionList(java.lang.Iterable<? extends StpApi.Version> values)`
    `StpApi.Versions.Builder` | `addVersionList(int index, StpApi.Version.Builder builderForValue)`
    `StpApi.Versions.Builder` | `addVersionList(int index, StpApi.Version value)`
    `StpApi.Versions.Builder` | `addVersionList(StpApi.Version.Builder builderForValue)`
    `StpApi.Versions.Builder` | `addVersionList(StpApi.Version value)`
    `StpApi.Version.Builder` | `addVersionListBuilder()`
    `StpApi.Version.Builder` | `addVersionListBuilder(int index)`
    `StpApi.Versions` | `build()`
    `StpApi.Versions` | `buildPartial()`
    `StpApi.Versions.Builder` | `clear()`
    `StpApi.Versions.Builder` | `clearVersionList()`
    `StpApi.Versions.Builder` | `clone()`
    `StpApi.Versions` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `StpApi.Version` | `getVersionList(int index)`
    `StpApi.Version.Builder` | `getVersionListBuilder(int index)`
    `java.util.List<StpApi.Version.Builder>` | `getVersionListBuilderList()`
    `int` | `getVersionListCount()`
    `java.util.List<StpApi.Version>` | `getVersionListList()`
    `StpApi.VersionOrBuilder` | `getVersionListOrBuilder(int index)`
    `java.util.List<? extends StpApi.VersionOrBuilder>` | `getVersionListOrBuilderList()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.Versions.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.Versions.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.Versions.Builder` | `mergeFrom(StpApi.Versions other)`
    `StpApi.Versions.Builder` | `removeVersionList(int index)`
    `StpApi.Versions.Builder` | `setVersionList(int index, StpApi.Version.Builder builderForValue)`
    `StpApi.Versions.Builder` | `setVersionList(int index, StpApi.Version value)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Versions.Builder>`

    - #### clear

          public StpApi.Versions.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Versions.Builder>`

    - #### clone

          public StpApi.Versions.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Versions.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Versions.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.Versions getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.Versions build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.Versions buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.Versions.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.Versions.Builder>`

    - #### mergeFrom

          public StpApi.Versions.Builder mergeFrom(StpApi.Versions other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Versions.Builder>`

    - #### mergeFrom

          public StpApi.Versions.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.Versions.Builder>`
      Throws:
        `java.io.IOException`

    - #### getVersionListList

          public java.util.List<StpApi.Version> getVersionListList()

      Specified by:
        `getVersionListList` in interface `StpApi.VersionsOrBuilder`

    - #### getVersionListCount

          public int getVersionListCount()

      Specified by:
        `getVersionListCount` in interface `StpApi.VersionsOrBuilder`

    - #### getVersionList

          public StpApi.Version getVersionList(int index)

      Specified by:
        `getVersionList` in interface `StpApi.VersionsOrBuilder`

    - #### setVersionList

          public StpApi.Versions.Builder setVersionList(int index,
                                                        StpApi.Version value)

    - #### setVersionList

          public StpApi.Versions.Builder setVersionList(int index,
                                                        StpApi.Version.Builder builderForValue)

    - #### addVersionList

          public StpApi.Versions.Builder addVersionList(StpApi.Version value)

    - #### addVersionList

          public StpApi.Versions.Builder addVersionList(int index,
                                                        StpApi.Version value)

    - #### addVersionList

          public StpApi.Versions.Builder addVersionList(StpApi.Version.Builder builderForValue)

    - #### addVersionList

          public StpApi.Versions.Builder addVersionList(int index,
                                                        StpApi.Version.Builder builderForValue)

    - #### addAllVersionList

          public StpApi.Versions.Builder addAllVersionList(java.lang.Iterable<? extends StpApi.Version> values)

    - #### clearVersionList

          public StpApi.Versions.Builder clearVersionList()

    - #### removeVersionList

          public StpApi.Versions.Builder removeVersionList(int index)

    - #### getVersionListBuilder

          public StpApi.Version.Builder getVersionListBuilder(int index)

    - #### getVersionListOrBuilder

          public StpApi.VersionOrBuilder getVersionListOrBuilder(int index)

      Specified by:
        `getVersionListOrBuilder` in interface `StpApi.VersionsOrBuilder`

    - #### getVersionListOrBuilderList

          public java.util.List<? extends StpApi.VersionOrBuilder> getVersionListOrBuilderList()

      Specified by:
        `getVersionListOrBuilderList` in interface `StpApi.VersionsOrBuilder`

    - #### addVersionListBuilder

          public StpApi.Version.Builder addVersionListBuilder()

    - #### addVersionListBuilder

          public StpApi.Version.Builder addVersionListBuilder(int index)

    - #### getVersionListBuilderList

          public java.util.List<StpApi.Version.Builder> getVersionListBuilderList()